Lỗi nguy hiểm trong phần mềm Adobe Reader và Acrobat

Một lỗi nghiêm trọng trong phần mềm Adobe Reader và Acrobat vừa được công bố tại Hội nghị hacker Black Hat ở Las Vegas (Mỹ), có thể cho phép tin tặc tấn công sâu vào hệ thống người dùng.

Lỗi này gây ra bởi sự tràn bộ nhớ số nguyên (integer overflow) xảy ra khi các font trong file PDF được xử lý. Đây là phát hiện của Charlie Miller, chuyên gia phân tích an ninh của công ty tư vấn về bảo mật Independent Security Evaluators.

Nếu được khai thác thành công, lỗi này sẽ cho phép tin tặc cài đặt một đoạn mã tùy ý vào máy tính bị lây nhiễm.

Trong tài liệu được gửi đến SCMagazineUS, Adobe nói rằng họ đã để mắt đến cảnh báo này và cho biết đang trong giai đoạn phát triển một bản vá lỗi.

Hiện công ty vẫn đang cân nhắc về việc phát hành bản vá như một phần trong gói cập nhật phát hành định kỳ ba tháng một lần dành cho các phần mềm Adobe Reader và Acrobat (sẽ ra mắt vào ngày 12.10 tới).

Cùng thời gian này, một lỗi có tính chất tương tự trong trình duyệt Mobile Safari của Apple cũng được khai thác vào mục đích “bẻ khóa” (jailbreak) điện thoại iPhone. Theo đó thì chương trình jailbreak được khai thác trên hai lỗi chủ yếu, mà một trong số đó liên quan đến sự phân tích font trong file PDF trong trình duyệt Mobile Safari.

nguồn: thanhnien.com.vn

Share on facebook
Share on twitter
Share on linkedin